.loading-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.1);
  z-index: 10;
  pointer-events: none;
}

.loading {
  font-size: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none;
}

.creation-modification-grid-container {
  display: inline-grid;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 1rem;
  width: 100%;
}

.creation-modification-grid-half-left {
  display: grid;
  grid-template-columns: 85px minmax(0, 1fr);
  grid-column-gap: 0.5rem;
  align-items: center;
  margin-bottom: 20px;
}

.creation-modification-grid-half-right {
  display: grid;
  grid-template-columns: 85px minmax(0, 1fr);
  grid-column-gap: 0.5rem;
  align-items: center;
  margin-bottom: 20px;
}

.report-definition-information-grid {
  display: grid;
  grid-template-columns: 85px 5fr;
  grid-column-gap: 0.5rem;
  grid-row-gap: 10px;
  align-items: flex-start;
}

.report-definition-information-grid-attributes {
  display: grid;
  grid-template-columns: minmax(0, min-content) 2fr;
  grid-column-gap: 3%;
  grid-row-gap: 10px;
  align-items: flex-start;
}

.text-ellipsis {
  display: inherit;
  text-overflow: ellipsis;
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
}
